{% extends "base.html" %} {% block title %}
<title>密码登录</title>
{% endblock %} {% block css %} {{ super() }} {% endblock %} {% block header %} {{ super() }} {% endblock %} {% block main %}
<!-- main-area -->
<main>
    <section class="shop--area shop-right-sidebar pt-90 pb-90">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-12 col-lg-6">
                    <div class="card-wrapper">
                        <div class="card fat">
                            <div class="card-body">
                                <h4 class="card-title">密码登录</h4>
                                <form method="POST" novalidate="">
                                    <div class="form-group">
                                        <label for="email">邮箱地址</label>
                                        <input id="email" type="email" class="form-control" placeholder="5-7位学号@tongji.edu.cn" name="email" value="" required autofocus />
                                        <div class="invalid-feedback">邮箱格式不正确或该邮箱用户不存在</div>
                                    </div>
                                    <div class="form-group">
                                        <label for="password">密码&nbsp;<a href="{{url_for('forget')}}" class="float-right">&nbsp;忘记密码? </a> </label>
                                        <input id="password" type="password" class="form-control" name="password" placeholder="请输入密码" />
                                    </div>
                                    <button type="button" class="btn btn-primary btn-block" onclick="password_login()">登录</button>
                                    <div class="mt-4 text-center"><a href="{{url_for('register')}}">点击</a>使用验证码注册或登录</div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</main>
<!-- main-area-end -->

{% endblock %} {% block footer %} {{ super() }} {% endblock %} {% block js %} {{ super() }}
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
<script src="{{url_for('static',filename='js/my-login.js')}}"></script>
<script type="text/javascript">
    function password_login() {
        $.post("/api/login_using_password", { email: $("#email").val(), password: $("#password").val() }, function (ret) {
            if (ret.statusCode == 400) {
                suspend("alert-danger", "登陆失败 " + ret.message);
            } else {
                window.history.go(-1);
                //window.location.href = ret.data.url;
            }
        });
    }
</script>
{% endblock %}
